---
- name: yumming centos-release-openstack-queens
  yum:
   name: centos-release-openstack-queens

- name: replace QEMU-EC.repo
  copy:
    src: ../files/CentOS-QEMU-EV.repo
    dest: /etc/yum.repos.d/

- name: upgrade packages
  yum:
    name: '*'
  register: task_result

- name: Reboot if upgrading was done
  shell: "sleep 5 && reboot"
  async: 1
  when: task_result is changed


- name: install openstack client
  yum:
   name: python-openstackclient

- name: install selinux
  yum:
   name: openstack-selinux
